server:
  #端口号
  port: 8989
#项目名，如果不设定，默认是 /
  servlet:
    context-path: "/thmz"
spring:
  servlet:
    multipart:
      #单个文件大小
      max-file-size: 20MB
      #单次请求总文件大小
      max-request-size: 100MB
  datasource:
    his:
      #jdbc-url: "jdbc:sqlserver://172.16.32.168:1433;databaseName=thxyhisdb"
      jdbc-url: "jdbc:sqlserver://172.16.30.29:1433;databaseName=thxyhisdb"
      username: "sa"
      #password:
      password: "sa123"
      driver-class-name: "com.microsoft.sqlserver.jdbc.SQLServerDriver"
    thmz:
      jdbc-url: "jdbc:mariadb://localhost:3306/thyy_mz_system?useUnicode=true&characterEncoding=utf-8"
      username: "root"
      password: "hrg49086"
      driver-class-name: "org.mariadb.jdbc.Driver"
  devtools:
    restart:
      enabled: true
  thymeleaf:
    cache: false
#配置项：开启下划线到驼峰的自动转换. 作用：将数据库字段根据驼峰规则自动注入到对象属性。
mybatis:
  configuration:
    map-underscore-to-camel-case: true
#打印SQL信息
logging:
  level:
    cn.hnthyy.thmz.mapper: debug